/*
 
    file:   delay.h
    desc:   Simple delays using frame synchronization.

    note:   The driver must be running.

    author: Jaromir Dvorak (md@unicode.cz)

    This file is part of the AVGA engine.
 


    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
*/


#ifndef _DELAY_H_
#define _DELAY_H_

#ifndef FRAMES_PER_SECOND
#define FRAMES_PER_SECOND     50
#endif

#define wait_frames(n)    ({ register unsigned int __c = n;    		      while(--__c) sync(); })
#define wait_seconds(n)   ({ register unsigned int __c = n*FRAMES_PER_SECOND; while(--__c) sync(); })


#endif
